// ================================================================================
// Librairies common.js
// --------------------------------------------------------------------------------
// Le script common.js contient les fonctions gnrales ncessaires  l'affichage
// des documents APV/PR
// --------------------------------------------------------------------------------
// Rvisions
//		02/06/2004	1.0.1
//		02/11/2004	1.0.2	Ajout de la fonction HidePartSection
// ================================================================================

// ================================================================================
// Variable globale contenant la langue de l'utilisateur
// ================================================================================

var colorSelect='#c1c1c1';
var colorOver='#f1f1f1';
var colorDefault='white';

var previous = 0;
var previousclick = 0;

var gmode = 0; // Image en plein cran.

// ================================================================================
// Compatiblit IE/FIREFOX/NETSCAPE => gestion des couleurs
// Necessaire pour la compatiblite FIREFOX/IE6: Firefox gre les rbg, IE les hex
// ================================================================================

// Conversion des couleurs : HEX => RGB
function HexToR(h) { return parseInt((cutHex(h)).substring(0,2),16) }
function HexToG(h) { return parseInt((cutHex(h)).substring(2,4),16) }
function HexToB(h) { return parseInt((cutHex(h)).substring(4,6),16) }
function cutHex(h) { return (h.charAt(0)=="#") ? h.substring(1,7) : h}

function forceRGB(color){
    var result;
    if (color.charAt(0)=="#") {
        result= HexToRBG(color);
    } else {
        // si ca ne commence pas par #, c'est donc DEJA au format rgb(r, g, b)
        result= color;
    }
    return result;
}

// converti un nombre entre 0 et 255 en hexadecimal
function convInt2Hex(num) {
    var inx;
    var inxa;
    myhex = new Array ("0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a",
    "b", "c", "d", "e", "f")
    inx = myhex[Math.floor(num/16)];
    inxa = myhex[num%16];
    return inx+inxa;
}

// supprime toutes les occurences d'une chaine dans une autre
function supprimeOcc(chaine,rech){
    var pos = chaine.indexOf(rech);
    if (pos>-1){
        if (pos==0) {
            return supprimeOcc(chaine.substr(rech.length),rech);
        } else {
            return supprimeOcc(chaine.substr(0,pos) + chaine.substr(pos+rech.length),rech);
        }
    } else return chaine;
}

// convertit une couleur au format #nnnnnn au format RGB(x,y,z) 
function HexToRBG(h) {return "rgb("+ HexToR(h) +","+HexToG(h)+","+HexToB(h)+")";}

// convertit une couleur au format RGB(x,y,z) au format #nnnnnn
function RGBToHex(chaine) {
    // si c'est bien au format rgb ....
    if (chaine.indexOf("rgb")>-1) {
        // on supprime les tokens "parasites" (rgb, espace,(,)
        chaine=supprimeOcc(chaine,"rgb");
        chaine=supprimeOcc(chaine," ");
        chaine=supprimeOcc(chaine,"(");
        chaine=supprimeOcc(chaine,")");    
        // On dcoupe la chaine
        var temp = chaine.split(",");
        var result="#";
        // On cr le resultat au bon format #xxxxx
        for (i = 0; i < temp.length; i++ ) {
            n = parseInt(temp[i],10);
            result = result + convInt2Hex(n);
        }    
    } else {
        result=chaine;
    }
    return result;
}

// ================================================================================
//  Pour la compatibilite avec Firefox => modification des methodes
//  firstChild, LastChild et children
// ================================================================================
var ie = /MSIE/.test(navigator.userAgent);
var moz = !ie && navigator.product == "Gecko";
var isNetscape=(navigator.userAgent.toLowerCase().indexOf('netscape')>-1);

if (moz) {
     HTMLElement.prototype.__defineGetter__("children", function() {
           var arr = new Array(), i = 0, l = this.childNodes.length;
           for ( i = 0; i < l; i++ ) {
               if ( this.childNodes[ i ].nodeType == 1 ) {
                    arr.push( this.childNodes[ i ] );
               }
           }
      return arr;
      });

      HTMLElement.prototype.__defineGetter__("firstChild", function() {
            var node = this.childNodes[ 0 ];
            while (node.nodeType != 1) node = node.nextSibling;
                 return node;
            });

     HTMLElement.prototype.__defineGetter__("lastChild", function() {
     var node = this.childNodes[ this.childNodes.length - 1 ];
     while (node.nodeType != 1) node = node.previousSibling;
           return node;
      });
} 


// ================================================================================
// Fonction efface
// --------------------------------------------------------------------------------
// La fonction efface 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function efface()
{
  if (previous != 0)
  {
    var chidrenArray = previous.children;
    var end = chidrenArray.length;
    var i = 0;
    while (i < end)
    {
      if(RGBToHex(chidrenArray[i].style.backgroundColor) == colorOver)
	      chidrenArray[i].style.backgroundColor = colorDefault;
      i++;
    }
    previous = 0;
  }
}

// ================================================================================
// Fonction effaceonclick
// --------------------------------------------------------------------------------
// La fonction effaceonclick 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function effaceonclick()
{
  if (previousclick != 0)
  {
    var chidrenArray = previousclick.children;
    var end = chidrenArray.length;
    var i = 0;
    while (i < end)
    {
      chidrenArray[i].style.backgroundColor = colorDefault;
      i++;
    }
    previousclick = 0;
  }
}


// ================================================================================
// Fonction selectChildren
// --------------------------------------------------------------------------------
// La fonction selectChildren 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function selectChildren(obj)
{
	if (obj != previous )
	    efface();

	var chidrenArray = obj.children;
	var end = chidrenArray.length;
	var i = 0;
	while (i < end)
	{
	    if(RGBToHex(chidrenArray[i].style.backgroundColor) != colorSelect)
		    chidrenArray[i].style.backgroundColor = colorOver;
	    i++;
	}
	previous = obj;
}


// ================================================================================
// Fonction selectChildrenonclick
// --------------------------------------------------------------------------------
// La fonction selectChildrenonclick 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function selectChildrenonclick(obj)
{
	if (obj != previousclick)
	    effaceonclick();
	var chidrenArray = obj.children;
	var end = chidrenArray.length;
	var i = 0;
	while (i < end)
	{
	    chidrenArray[i].style.backgroundColor = colorSelect;
	    i++;
	}
	previousclick = obj;
}

// ================================================================================
// Fonction addRefPr
// --------------------------------------------------------------------------------
// La fonction addRefPr 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function addRefPr(objet,ref,codesi,pmontcoef,prremps,obsnfp)
{
	var eltversement= ref+codesi+pmontcoef+prremps+obsnfp;
	selectChildrenonclick(objet);
	var obj = window.document.getElementById("addref");
	obj.innerHTML = eltversement;
}

// ================================================================================
// Fonction verseRefPr
// --------------------------------------------------------------------------------
// La fonction verseRefPr 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function verseRefPr(marque,objet,ref,codesi,pmontcoef,prremps,obsnfp)
{
	if (prremps!="")
	{
		openChoixPr(ref.substring(0, ref.length-1),prremps,codesi.substring(0, codesi.length-1),marque);
	}
	else
	{
		ref = ref.substring(0, ref.length-1);
		codesi = codesi.substring(0, codesi.length-1);
		quantite = "1";
		versePr(ref,codesi,quantite);
	}	
}

function versePr(ref,codesi,quantite)
{
	var baseRef = window.location.href.substring(0,window.location.href.lastIndexOf('/'));
	var uriAction = "VersePanier.do?typeElement=PR&code=" + ref + "&libelle=" + codesi + "&quantite=" + quantite;
	var fenetreParent = window.opener;
	if (fenetreParent) {
    	var miniPanier = fenetreParent.document.getElementById("contenuPanier");
    	miniPanier.src=uriAction;
    }
}

// ================================================================================
// Fonction addRefMo
// --------------------------------------------------------------------------------
// La fonction addRefMo 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function addRefMo(objet,codemopere,codeorg,codenat,codesit,liborg,libnat,libsit,codemod, tauxtmpstot, arobase)
{
	var eltversement= "("+ codemopere + codeorg + codenat + codesit + liborg + libnat + libsit + codemod + tauxtmpstot +")" + arobase;
	selectChildrenonclick(objet);
	var obj = window.document.getElementById("addref");
	obj.innerHTML = eltversement;
}

// ================================================================================
// Fonction verseRefMo
// --------------------------------------------------------------------------------
// La fonction verseRefMo 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function verseRefMo(code, parent, taux, temps, codeModel, codeorg, codenat)
{
	var baseRef = window.location.href.substring(0,window.location.href.lastIndexOf('/'));
	var uriAction = "VersePanier.do?typeElement=MO&code=" + code + "&taux=" + taux + "&temps=" + temps + "&parent=" + parent + "&codeorg=" + codeorg + "&codenat=" + codenat;
	if(codeModel && codeModel != '')
	{
		uriAction = uriAction + "&codeModel=" + codeModel;
	}
	var fenetreParent = window.opener;
	if (fenetreParent) {
    	var miniPanier = fenetreParent.document.getElementById("contenuPanier");
    	miniPanier.src=uriAction;
    }
}

// ================================================================================
// Fonction GetBdtMoString
// --------------------------------------------------------------------------------
// La fonction GetBdtMoString cre la chaine de versement d'une main d'oeuvre 
// d'un barmes des temps
// --------------------------------------------------------------------------------
// Retour:
//		String	Chaine de versement MO
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
// 
function GetBdtMoString(o)
{
	// compatibilite FireFox => utilisation de GetAttribute
	var type = o.getAttribute('type');
	var parent = o.getAttribute('parent');
	var codemo = o.getAttribute('codemo');
	var codeorg = o.getAttribute('codeorg');
	var codenat = o.getAttribute('codenat');
	var codesit = o.getAttribute('codesit');
	var liborg = o.getAttribute('liborg');
	var libnat = o.getAttribute('libnat');
	var libsit = o.getAttribute('libsit');
	var codemod = o.getAttribute('codemod');
	var temps = o.getAttribute('temps');
	
	var verse='';
	verse += type;
	verse += ';';
	verse += parent;
	verse += ';';
	verse += codemo;
	verse += ';';
	verse += codeorg;
	verse += ';';
	verse += codenat;
	verse += ';';
	verse += codesit;
	verse += ';';
	verse += liborg;
	verse += ';';
	verse += libnat;
	verse += ';';
	verse += libsit;
	verse += ';';
	verse += ';';
	verse += codemod;
	verse += ';';
	verse += temps;
	return verse;
}

// ================================================================================
// Fonction SelectBdtMo
// --------------------------------------------------------------------------------
// La fonction SelectBdtMo selectionne une main d'oeuvre
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		objet	La MO  slectionner
// ================================================================================
function SelectBdtMo(o)
{
	selectChildrenonclick(o);
}

// ================================================================================
// Fonction VerseBdtMo
// --------------------------------------------------------------------------------
// La fonction VerseBdtMo Verse une main d'oeuvre
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		objet	la MO  verser
// ================================================================================
function VerseBdtMo(o)
{
	// compatibilite FireFox => utilisation de GetAttribute
	var codemo = o.getAttribute('codemo');
	var parent = o.getAttribute('parent');
	var mettech = o.getAttribute('mettech');
	var temps = o.getAttribute('temps');
	var taux = o.getAttribute('taux');
	var codemod = o.getAttribute('codemod');
	
	var codeorg = o.getAttribute('codeorg');
	var codenat = o.getAttribute('codenat');

	if(mettech)
	{
		//AP
		verseRefMo(codemo, parent, mettech, temps, codemod, codeorg, codenat);
	}
	else
	{
		//AC
		verseRefMo(codemo, parent, taux, temps, codemod, codeorg, codenat);
	}
}



// ================================================================================
// Fonction GetTpMoString
// --------------------------------------------------------------------------------
// La fonction GetTpMoString gnre la chaine de versement des mains d'oeuvre 
//  partir des travaux prdfinis
// --------------------------------------------------------------------------------
// Retour:
//		String	la chaine de versement
// --------------------------------------------------------------------------------
// Parametres:
//		objet	la MO  verser
// ================================================================================
function GetTpMoString(o)
{
	// compatibilite FireFox => utilisation de GetAttribute
	var type = o.getAttribute('type');
	var parent = o.getAttribute('parent');
	var codemo = o.getAttribute('codemo');
	var codeorg = o.getAttribute('codeorg');
	var codenat = o.getAttribute('codenat');
	var codesit = o.getAttribute('codesit');
	var libnat = o.getAttribute('libnat');
	var liborg = o.getAttribute('liborg');
	var codemod = o.getAttribute('codemod');
	var temps = o.getAttribute('temps');

	var verse;
	verse = '(';
	verse += type;
	verse += ';';
	verse += parent;
	verse += ';';
	verse += codemo;
	verse += ';';
	verse += codeorg;
	verse += ';';
	verse += codenat;
	verse += ';';
	verse += codesit;
	verse += ';';
	verse += libnat + ' ' + liborg ;
	verse += ';';
	verse += codemod;
	verse += ';';
	verse += temps;
	verse += ')@';
	return verse;
}

// ================================================================================
// Fonction SelectTpMo
// --------------------------------------------------------------------------------
// La fonction SelectTpMo 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function SelectTpMo(o)
{
	selectChildrenonclick(o);
	var obj = window.document.getElementById("addref");
	obj.innerHTML = GetTpMoString(o);
}

// ================================================================================
// Fonction VerseTpMo
// --------------------------------------------------------------------------------
// La fonction VerseTpMo 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
/*function VerseTpMo(o)
{
	selectChildrenonclick(o);
	var eltversement= GetTpMoString(o);
	window.location.href="Event:"+eltversement;
}*/
function VerseTpMo(o)
{	
	// compatibilite FireFox => utilisation de GetAttribute
	var codemo = o.getAttribute('codemo');
	var parent = o.getAttribute('parent');
	var mettech = o.getAttribute('mettech');
	var temps = o.getAttribute('temps');
	var taux = o.getAttribute('taux');
	var codemod = o.getAttribute('codemod');
	
	var codeorg = o.getAttribute('codeorg');
	var codenat = o.getAttribute('codenat');

	if(mettech)
	{
		//AP
		verseRefMo(codemo, parent, mettech, temps, codemod, codeorg, codenat);
	}
	else
	{
		//AC
		verseRefMo(codemo, parent, taux, temps, codemod, codeorg, codenat);
	}
}

// ================================================================================
// Fonction GetTpPrString
// --------------------------------------------------------------------------------
// La fonction GetTpPrString 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
// Versement des pices de rechange
//  partir des travaux prdfinis 

function GetTpPrString(o)
{
	// compatibilite FireFox => utilisation de GetAttribute
	var qte = o.getAttribute('qte');
	var codesi = o.getAttribute('codesi');
	var ref = o.getAttribute('ref');
	
	var verse = '@(' + ref + ';' + codesi + ';%' + qte + ')';

	return verse;
}

// ================================================================================
// Fonction SelectTpPr
// --------------------------------------------------------------------------------
// La fonction SelectTpPr 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function SelectTpPr(o)
{
	selectChildrenonclick(o);
	var obj = window.document.getElementById("addref");
	obj.innerHTML = GetTpPrString(o);
}

// ================================================================================
// Fonction VerseTpPr
// --------------------------------------------------------------------------------
// La fonction VerseTpPr 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
/*function VerseTpPr(o)
{
	selectChildrenonclick(o);
	var eltversement= GetTpPrString(o);
	window.location.href="Event:"+eltversement;
}*/
function VerseTpPr(o)
{
	// compatibilite FireFox => utilisation de GetAttribute
	var ref = o.getAttribute('ref');
	var codesi = o.getAttribute('codesi');
	var qte = o.getAttribute('qte');
	
	versePr(ref,codesi,qte);
}

// ================================================================================
// Fonction verseRefPrFromOs
// --------------------------------------------------------------------------------
// La fonction verseRefPrFromOs
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function verseRefPrFromOs(marque,objet,ref,codesi)
{
	ref = ref.substring(0, ref.length-1);
	codesi = codesi.substring(0, codesi.length-1);
	quantite = "1";
	versePr(ref,codesi,quantite);
}

// ================================================================================
// Fonction ShowHideSection
// --------------------------------------------------------------------------------
// La fonction ShowHideSection 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function ShowHideSection(oHead)
{
  var bRet = false;
  
  var oChild = document.getElementById(oHead.getAttribute('child', false));
  if (typeof(oChild) == null)
  {
    return bRet;
  }

  var sClass = oChild.className;
  if (sClass == "clsCollapsed")
  {
    sAction = "Hide";
	var oBook = document.getElementById('obook' + oHead.getAttribute('child', false));
    bRet = true; // we'll be showing upon return, so return true
  }
  else
  {
	var oBook = document.getElementById('cbook' + oHead.getAttribute('child', false));
  }
  oHead.className = ("clsBookCollapsed");
  oBook.className = ("clsBookExpanded");
  oChild.className = (sClass == "clsCollapsed" ? "clsExpanded" : "clsCollapsed");
  return bRet;
}

// ================================================================================
// Fonction ShowCGM
// --------------------------------------------------------------------------------
// La fonction ShowCGM 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
/* Affichage des images CGM en plein cran */
function ShowCGM(id, legende, path, icn, numfich)
{
  var myMsg = document.getElementById('jsIsoview');
  if(myMsg!=null)
  	myMsg.style.display='none';

  var elm = document.all('fullScreen');
  gmode=1;
  elm.className = ("fullScreenOn");
  img = "";
  img += "<div class='imageFullScreen'>";  
  img += "<object width='100%' height='100%' classid='CLSID:865B2280-2B71-11D1-BC01-006097AC382A'";
  img += "  id='Big" + id + "' >";
  img += "  <param name='tools' value='1'/>";
  img += "</object>";
  img += "<script language='JavaScript' for='Big" + id + "' event='InitFinished()'>";
  img += "	try{";
  img += "InitViewer('Big" + id + "','cgm','" + path + "',3,'"+id+"');";
  img += "}catch(e){";
  img += " try{InitViewer('Big" + id + "','tif','/images/Document/ATDESSIN.tif',0,'" + numfich + "');";
  img += " }catch(e){}";
  img += "}";
  img += "</script>";
  img += "<script language='JavaScript' for='Big" + id + "' event='ContextMenuItemHit(Item,Title)'>";
  img += "	ContextMenuItemHit('Big" + id + "','" + legende + "', Item,Title,'" + path + "','" + icn + "', '" + numfich + "');";
  img += "</script>";
  img += "</div>";
  img += "<span class='legendeFullScreen'>";
  img += "<table class='imgTableFullScreen'>";
  img += "<tr><td class='imgTable'>";
  img += "	<div class='fig'>" + legende + " <span class='img_numfich'>" + numfich + "</span></div>";
  img += "</td><td class='imgTable' align='right'>";
  var alt = GetLabel();
  img += "  <span class='imgNavbar'>";
  img += "    <a href=\"JavaScript:HideImage();\">";
  img += " <img src='" + icn + "close.PNG' alt='" + alt + "' height='20' width='20' border='0' id='Big" + id + "_FullScreen'/></a></span>";
  img += "</td></tr>";
  img += "</table>";
  img += "</span>";
  img += "";
  elm.innerHTML = img;
}

// ================================================================================
// Fonction ShowSVG
// --------------------------------------------------------------------------------
// La fonction ShowSVG 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
/* Affichage des images SVG en plein cran */
function ShowSVG(numfich, legende, path, img)
{
  var elm = document.all('fullScreen');
  elm.className = ("fullScreenOn");
  img = "";
  img += "<div class='imageFullScreen'>";
  img += "	<embed src='" + path + "' width='100%' height='100%' type='image/svg+xml'/>";
  img += "</div>";
  img += "<span class='legendeFullScreen' onclick='HideImage();'>";
  img += "	<div class='fig_zoom'><img src='close.png'/>" + legende + " <span class='img_numfich'>" + numfich + "</span></div>";
  img += "</span>"
  elm.innerHTML = img;
  return true;
}

// ================================================================================
// Fonction ShowRaster
// --------------------------------------------------------------------------------
// La fonction ShowRaster 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function ShowRaster(numfich, legende, path, img)
{

  var elm = document.all('fullScreen');
  elm.className = ("fullScreenOn");
  img = "";
  img += "<div class='imageFullScreen'>";
  img += "<img border='1' height='100%' src='" + path + "'>";
  img += "</div>";
  img += "<span class='legendeFullScreen' onclick='HideImage();'>";
  img += "	<div class='fig_zoom'>" + legende + " <span class='img_numfich'>" + numfich + "</span></div>";
  img += "</span>"
  elm.innerHTML = img;
  return true;
}

// ================================================================================
// Fonction HideImage
// --------------------------------------------------------------------------------
// La fonction HideImage 
// --------------------------------------------------------------------------------
// Retour:
//		
// --------------------------------------------------------------------------------
// Parametres:
//		
// ================================================================================
function HideImage(numfich)
{
  var myMsg = document.getElementById('jsIsoview');
  if(myMsg!=null)
  	myMsg.style.display='inline';
  
  var elm = document.all('fullScreen');
	gmode=0;
  elm.className = ("fullScreenOff");
  img = "";
  elm.innerHTML = img;
}





// ================================================================================
// Events window.onload et window.onresize
// --------------------------------------------------------------------------------
// Au chargement ou au redimensionnement de la fentre, on recalcule la tailles
// des sections TITRE/APPL/CORPS du document.
// ================================================================================
window.onload = function() {
	resizeSections();
}
window.onresize = function() {
	resizeSections();
}

// ================================================================================
// Fonction getWindowHeight
// --------------------------------------------------------------------------------
// La fonction getWindowHeight calcul la hauteur de la fentre du WebBrowser.
// --------------------------------------------------------------------------------
// Retour:
//		Integer		Hauteur en pixels de la fentre
// --------------------------------------------------------------------------------
// Parametres:
//		Aucun
// ================================================================================
function getWindowHeight() {
	var windowHeight = 0;
	if (typeof(window.innerHeight) == 'number') {
		windowHeight = window.innerHeight;
	}
	else {
		if (document.documentElement && document.documentElement.clientHeight) {
			windowHeight = document.documentElement.clientHeight;
		}
		else {
			if (document.body && document.body.clientHeight) {
				windowHeight = document.body.clientHeight;
			}
		}
	}
	return windowHeight;
}

// ================================================================================
// Fonction resizeSections
// --------------------------------------------------------------------------------
// La fonction resizeSections redimensionne les zones TITRE, APPLMACRO et CONTENT
// pour que la zone APPLMACRO utilise au maximum les 2/3 de l'cran.
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		Aucun
// ================================================================================
function resizeSections() {
	// On rcupre les hauteurs relles des sections du document
	var windowHeight ; //= getWindowHeight();
	var title = document.getElementById('title');
    var appl = document.getElementById('appl');
    var corps = document.getElementById('content');
    var jsIsoview = document.getElementById('jsIsoview');
	var titleOffsetHeight = 0;
 
    if (title) {
    	titleOffsetHeight = title.offsetHeight; // marche avec Netscape mais ne donne pas les bons resultats
    }
    
	if (isNetscape || !title) {
		windowHeight=getWindowHeight()-2;	
	} else {
		windowHeight=title.parentNode.clientHeight-2; // ne marche pas avec Netscape
	}
	// On vrifie que la hauteur de l'applicabilit ne dpasse par
	// le 2/3 de la hauteur disponible.
	if (appl) { // On vrifie que la section APPL est dfinie
		var applHeight = appl.offsetHeight;
		var maxApplHeight = (windowHeight - titleOffsetHeight) * 2/3;
		if (applHeight > maxApplHeight) {
			// La hauteur de la section APPL est suprieure au 2/3
			// On la redimensionne au 2/3 de la hauteur du disponible
			applHeight = maxApplHeight;
			appl.style.height = applHeight;
		}
	}
	
	// On calcul la nouvelle hauteur du corps du document
	// en fonction de la hauteur du titre et de l'applicabilit
	var corpsHeight;
	if (appl) {
		if(jsIsoview.innerHTML!="") {
			corpsHeight = windowHeight - titleOffsetHeight - appl.offsetHeight - jsIsoview.offsetHeight;
		} else {
			corpsHeight = windowHeight - titleOffsetHeight - appl.offsetHeight;
		}
	} else {
		if(jsIsoview.innerHTML!="") {
			corpsHeight = windowHeight - titleOffsetHeight - jsIsoview.offsetHeight;
		} else {
			corpsHeight = windowHeight - titleOffsetHeight;
		}
	}
	// On redimensionne le corps du document
	// VLA => Pas la peine => calcule automatiquement
	// Si si ! sinon l'agrandissement de l'image n'est plus centre correctement
	if (corps) {
		corps.style.height = corpsHeight ;
	}
}

// ================================================================================
// Fonction HidePartSection
// --------------------------------------------------------------------------------
// La fonction HidePartSection masque les sections "Particularits"
// des documents APV aprs le chargement des images dans les contrles IsoViewX
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		Aucun
// ================================================================================
function HidePartSection()
{
	var aParts=document.getElementsByTagName("div");
	for ( i = 0; i < aParts.length; i++ )
	{
		if (aParts[i].className=="clsToCollapse")
			aParts[i].className="clsCollapsed"
	}	
}

// ================================================================================
// Fonction OpenListeComplexe
// --------------------------------------------------------------------------------
// La fonction OpenListeComplexe affiche la liste complexe dans une nouvelle
// fentre selon la marque qui est passe en paramtre
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		Liste
//		Marque
// ================================================================================
function OpenListeComplexe(Liste,Marque){
	//var AdrLstCpl="http://fdz.preprod.inetpsa.com/"+Marque+"/listecomplex/le-"+Liste+".html";
	//var TitLstCpl="LE-"+Liste;
	//var OptLstCpl="toolbar=yes,location=no,scrollbars=yes,resizable=yes,width=900,height=620";
	if (Liste!=""){
		var LstCpl=window.open(Marque+"/listecomplex/le-"+Liste+".html","le"+Marque,"toolbar=yes,location=no,scrollbars=yes,resizable=yes,width=900,height=620,left=0,top=0");
		LstCpl.focus();
	}else{
		alert(leNonDispo);
	}
}


// ================================================================================
// Fonction openChoixPr
// --------------------------------------------------------------------------------
// La fonction openChoixPr s'affiche lorsqu'il y a des pices de remplacements
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		refPr
//		refPrRemps
//		libPr
// ================================================================================
function openChoixPr(refPr,refPrRemps,libPr,marque){
	wleft=screen.width/2-150;
	wtop=screen.height/2-50;
	var winChoixPr=window.open("choixPr.do?refPr="+refPr+"&libPr="+libPr+"&refPrRemp="+refPrRemps+"&libPrRemp=libb","winChoixPr"+marque,"height=250,width=400,left="+wleft+",top="+wtop+",toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=yes");
	winChoixPr.focus();
}

//###################  MESSAGE D'ATTENTE  ##################
//function open_popup_wait(message){
//	wleft=screen.width/2-150;
//	wtop=screen.height/2-50;
//	wwait=window.open("","","height=25,width=300,left="+wleft+",top="+wtop+",toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no");
//	if (window.focus) {wwait.focus();}
//	wwait.document.close();
//    	wwait.document.open();	
//	code="<HTML><TITLE>MESSAGE</TITLE><BODY><TABLE WIDTH='100%' HEIGHT='100%'><TR VALIGN='CENTER' ALIGN='CENTER'><TD>"+message+"</TD></TR><TR ALIGN='CENTER'><TD><IMG SRC='images/AC/wait.gif'/></TD></TR></TABLE></BODY></HTML>";
//	wwait.document.write(code);
//	return wwait;
//}

//$
//function ShowIsoViewPopup(imageName, extension, height, width, imagePath)
//{
//	//var fenetre = window.open(imagePath, "affiche" ,"width=" + "500" +",height=" + "400" + ",resizable,scrollbars=yes,status=0");
//	var url = '/popupImg.do?name=' + imageName + '&extension=' + extension + '&path=' + imagePath + '&format=cgm';
//	var fenetre = window.open(url, "popupImg" ,"width=" + "500" +",height=" + "400" + ",resizable,scrollbars=yes,status=0");
//	fenetre.focus();
//}
//function ShowRasterPopup(imageName, extension, height, width, imagePath,marque)
//{
//	//var fenetre = window.open(imagePath, "affiche" ,"width=" + "500" +",height=" + "400" + ",resizable,scrollbars=yes,status=0");
//	var url = '/popupImg.do?name=' + imageName + '&extension=' + extension + '&path=' + imagePath + '&format='+extension;
//	var fenetre = window.open(imagePath, "popupImg"+marque ,"width=" + "500" +",height=" + "400" + ",resizable,scrollbars=yes,status=0");
//	fenetre.focus();
//}

//############# ACTION D'APPLELER UN DOC PAR SA REF / LIEN HYPERTEXT
//function callRefLink(ref,marque)
//{
//	hRefLink="preLoadDocByRef.html?id="+ref+"&marque="+marque;
//	var link=window.open(hRefLink,"Document","toolbar=yes,directories=yes,location=no,scrollbars=yes,resizable=yes,width=840,height=620");
//	link.window.moveTo(25,25);
//	link.focus();
//}

function FullScreen(url,id,legende,imageName,imagePath)
{
  myHeight = getWindowHeight()-50;
  var myMsg = document.getElementById('jsIsoview');
  if(myMsg!=null)
  	myMsg.style.display='none';

  var elm = document.all('fullScreen');
  gmode=1;
  elm.className = ("fullScreenOnZoomable");

  var alt = "";
  img = ""; 
  img += "<table class='imgTableFullScreen' >";
  img += "<tr>";
  img += "<td class='imgTable' align='left'>";  
  img += "<a href=\"JavaScript:HideImage();\"><img src='" + url + "/images/Document/close.PNG' alt='" + alt + "' height='20' width='20' border='0' id='Big" + id + "_FullScreen'/></a>&nbsp;&nbsp;&nbsp;&nbsp;";
  img += "<a href='#' onclick='Javascript:image.height=image.height+100;' onmouseover=\"rollimg('btzoomp');window.status='';return true\" onmouseout=\"rollimg('btzoomp');window.status='';return true\"><img id='btzoomp' src='" + url + "/images/Document/btzoomp.gif' width='32' height='16' border='0'></a>";
  img += "<a href='#' onclick='Javascript:image.height=image.height-100;' onmouseover=\"rollimg('btzoomm');window.status='';return true\" onmouseout=\"rollimg('btzoomm');window.status='';return true\"><img id ='btzoomm' src='" + url + "/images/Document/btzoomm.gif' width='32' height='16' border='0'></a>";
  img += "<a href='#' onclick='Javascript:image.height=\""+myHeight+"\";' onmouseover=\"rollimg('btzoomech');window.status='';return true\" onmouseout=\"rollimg('btzoomech');window.status='';return true\"><img id='btzoomech' src='" + url + "/images/Document/btzoomech.gif' width='32' height='16' border='0'></a>";
  img += "&nbsp;&nbsp;&nbsp;&nbsp;<span class='fig'>"+legende+" : <span class='img_numfich'>"+imageName+"</span></span>";
  img += "</td>";
  img += "</tr>";
  img += "<tr>";
  img += "<td class='imgTable'>";
  if(imagePath.startsWith("/")){
	  img += "<img src='" + url + imagePath + "' height='" + myHeight + "' border='1' name='image'>";
  } else {
	  img += "<img src='" + url + "/" + imagePath + "' height='" + myHeight + "' border='1' name='image'>";
  }
  img += "</td>";
  img += "</tr>";
  img += "</table>";
  elm.innerHTML = img;
}

String.prototype.startsWith = function (str){
    return this.indexOf(str) == 0;
};

// Rollover des boutons de zoom
function rollimg(idbtn) {
        var btn = window.document.getElementById(idbtn);
        var btnimg = btn.src;
        if (btnimg.indexOf('_on.gif') < 0) {
                pos=btnimg.lastIndexOf(".gif");
                leftStringPath=btnimg.substring(0,pos);
                rigthStringPath=btnimg.substring(pos,btnimg.length);
                newRigthStringPath=rigthStringPath.replace(".gif","_on.gif");
                flagOn=true;
        }
        else{
                pos=btnimg.lastIndexOf("_on.gif");
                leftStringPath=btnimg.substring(0,pos);
                rigthStringPath=btnimg.substring(pos,btnimg.length);
                newRigthStringPath=rigthStringPath.replace("_on.gif",".gif");
                flagOn=false;
        }
        btn.src=leftStringPath+newRigthStringPath;
        return flagOn;
}